DegreeCombinator
Keywords: uk.ac.ic.doc.automed.matching.DegreeCombinator class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.matching
Class DegreeCombinator

    java.lang.Object
      uk.ac.ic.doc.automed.matching.DegreeCombinator

    public class DegreeCombinator

extends java.lang.Object

The class that represents the Degree Combinator component in the schema matching architecture. Its role is to define the semantic relationships of the aggregated schema element pairs

See Also:
  `SimilarSchemaElementPair`, `CheckExistenceModule`, `PrecisionModule`, `NumberInstancesModule`, `BidirectionalMap`

Constructor Summary
`DegreeCombinator(SimilarSchemaElementPair[] pairs)` Constructs the `DegreeCombinator` for the specified aggregated pairs of elements.

Method Summary
`SchemaElementPairRelationship[]` | `getRelationships(BidirectionalMap map)` Returns the semantic relationships of the schema elements based on the areas of the `BidirectionalMap`.
`void` | `setExistenceModule(AbstractModule module)` Sets the `CheckExistenceModule` of this `DegreeCombinator`
`void` | `setNumberInstancesModule(AbstractModule module)` Sets the number of instances module of this `DegreeCombinator`
`void` | `setPrecisionModule(AbstractModule module)` Sets the `PrecisionModule` of this `DegreeCombinator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DegreeCombinator

    public DegreeCombinator(SimilarSchemaElementPair[] pairs)
                     throws UninstantiatedException

  Constructs the `DegreeCombinator` for the specified aggregated pairs of elements.

  Parameters:
    `pairs` - the array of aggregated schema elements
  Throws:
    `UnistantiatedException` - if the are no pairs of elements in the array
    `UninstantiatedException`

Method Detail

### setNumberInstancesModule

    public void setNumberInstancesModule(AbstractModule module)

  Sets the number of instances module of this `DegreeCombinator`

  Parameters:
    `module` - the number of instances module

### setExistenceModule

    public void setExistenceModule(AbstractModule module)

  Sets the `CheckExistenceModule` of this `DegreeCombinator`

  Parameters:
    `module` - the `CheckExistenceModule`

### setPrecisionModule

    public void setPrecisionModule(AbstractModule module)

  Sets the `PrecisionModule` of this `DegreeCombinator`

  Parameters:
    `module` - the `PrecisionModule`

### getRelationships

    public SchemaElementPairRelationship[] getRelationships(BidirectionalMap map)
                                                     throws UninstantiatedException,
                                                            RelationshipConflictException

  Returns the semantic relationships of the schema elements based on the areas of the `BidirectionalMap`.

  Parameters:
    `map` - the bidirectional map
  Returns:
    the semantic relationships of the schema elements based on the `BidirectionalMap`
  Throws:
    `UninstantiatedException` - if the modules have not been set or a pair cannot be detected in one of them
    `RelationshipConflictException` - if the relationships in the modules conflict

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD